Subject: RE: What's cooking in git.git (Jul 2019, #06; Thu, 25)

From: "Randall S. Becker" <[email-masked]>
Date: Fri, 9 Aug 2019 12:32:31 -0400

On August 9, 2019 12:29 PM, Jeff King wrote:
> On Fri, Aug 09, 2019 at 10:06:06AM -0400, Randall S. Becker wrote:
> 
> > On 01 Aug 2019 13:05:12, Junio wrote:
> > > >> *snip*
> >
> > I think this got missed in the shuffle, but I am getting questions about the
> topic from my own team that I cannot answer.
> >
> > I noticed that the switch and restore commands are now available in
> > 2.23.0 but are not discussed in recent What's Cooking or Git Rev (or I
> > blithely missed them). The question from my team is what are the plans
> > for deprecating checkout. They have loads of scripts and want to plan
> > for moving over.
> 
> I don't know of any plans for checkout in particular, but I think the docs for
> restore/switch make it clear that it's way too early to start scripting around
> them:
> 
>   $ git grep EXPERIMENTAL Documentation/
>   Documentation/git-restore.txt:THIS COMMAND IS EXPERIMENTAL. THE
> BEHAVIOR MAY CHANGE.
>   Documentation/git-switch.txt:THIS COMMAND IS EXPERIMENTAL. THE
> BEHAVIOR MAY CHANGE.

Thanks Peff. Good guidance. I did not notice that part.

Appreciations,
Randall